#!/usr/bin/perl
# 
# test script for Serene Bach libraries
# == written by T.Otani <ootani@segausers.gr.jp> ===
# == Copyright (C) 2004 SimpleBoxes/SerendipityNZ ==

# ======================================
use strict;
use warnings;
use lib qw(./ ../);
use sb::Test;
sb::Test::Plugins->run();

package sb::Test::Plugins;
use vars qw( $VERSION );
$VERSION = '0.00';
# 0.00 [2009/01/26] created
# --------------------------------------
# // public functions
sub run
{
	my $testcase = sb::Test->new();
	$testcase->add('plugins',\&_test,\&_check);
	$testcase->run();
}
# --------------------------------------
# // private functions
sub _test
{
	require sb::Plugin;
	my @check = (
		'AccessLog.pm',
		'AntiSpam.pm',
		'Convert.pm',
		'Memo.pm',
		'TemplateMaker.pm',
		'ThumbnailView.pm',
		'sbTextExtension.pm',
		'sbTextFormat.pm',
	);
	my $plugin = sb::Plugin->new(
		'dir'   => '../../plugin/',
		'debug' => 1,
	);
	$plugin->set( join('', map { '[' . $_ . ']' } @check ) );
	$plugin->load_plugins();
	return $plugin->error();
}
sub _check
{
	my $result = shift;
	if ( $result ne '' )
	{
		print $result;
		return 0;
	}
	return 1;
}
1;
__END__
